clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::CallLifetimeEnd Class Referencefinal

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

Inheritance diagram for clang::CodeGen::CodeGenFunction::CallLifetimeEnd:
[legend]
Collaboration diagram for clang::CodeGen::CodeGenFunction::CallLifetimeEnd:
[legend]

## Public Member Functions
| CallLifetimeEnd (Address addr, llvm::Value *size)
void | Emit (CodeGenFunction &CGF, Flags flags) override
| Emit the cleanup. More...
Public Member Functions inherited from clang::CodeGen::EHScopeStack::Cleanup
| Cleanup (const Cleanup &)=default
| Cleanup (Cleanup &&)
| Cleanup ()=default

## Additional Inherited Members
Protected Member Functions inherited from clang::CodeGen::EHScopeStack::Cleanup
| ~Cleanup ()=default

## Detailed Description

Definition at line 504 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ CallLifetimeEnd()

clang::CodeGen::CodeGenFunction::CallLifetimeEnd::CallLifetimeEnd | ( | Address | addr,
|  | llvm::Value * | size
| ) |  |
| inline

Definition at line 509 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ Emit()

void clang::CodeGen::CodeGenFunction::CallLifetimeEnd::Emit | ( | CodeGenFunction & | CGF,
|  | Flags | flags
| ) |  |
| inline override virtual

Emit the cleanup.

For normal cleanups, this is run in the same EH context as when the cleanup was pushed, i.e. the immediately-enclosing context of the cleanup scope. For EH cleanups, this is run in a terminate context.

Implements clang::CodeGen::EHScopeStack::Cleanup.

Definition at line 512 of file CodeGenFunction.h.

References clang::CodeGen::CodeGenFunction::EmitLifetimeEnd().

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h